<%@ Page language="c#" AutoEventWireup="false" EnableViewState="false" Inherits="SocoShop.Page.UserMessageAjax" %>
<%@ Import namespace="SocoShop.Entity" %>
<%@ Import namespace="SocoShop.Business" %>
<%@ Import namespace="SocoShop.Common" %>
<%@ Import namespace="SkyCES.EntLib" %>
<%@ Import namespace="System.Diagnostics" %>
<script runat="server">
protected override void OnInit(EventArgs e)
{
	/* 
		本页面代码由天易模板生成于 2011/3/6 19:11:38.
	*/
	Stopwatch sw = new Stopwatch();
	sw.Start();
	base.OnInit(e);
	sw.Stop();
	 decimal processTime=Convert.ToDecimal(sw.ElapsedMilliseconds) / 1000;
	StringBuilder document = new StringBuilder();
	document.Append("<table class=\"listTable\" cellpadding=\"0\" cellpadding=\"0\">\r\n");
	document.Append("    <tr class=\"listTableHead\">                               \r\n");
	document.Append("        <td width=\"50%\" style=\"text-align:left;padding-left:5px;\">标题</td>\r\n");
	document.Append("        <td width=\"10%\">类型</td>\r\n");
	document.Append("        <td width=\"20%\">时间</td>\r\n");
	document.Append("        <td width=\"20%\">处理状态</td>\r\n");
	document.Append("    </tr>\r\n");
	foreach(UserMessageInfo userMessage in userMessageList)
{
	document.Append("    <tr class=\"listTableMain\">                             \r\n");
	document.Append("        <td style=\"text-align:left;padding-left:5px;\"><a href=\"/User/UserMessageDetail.aspx?ID="+userMessage.ID+"\" target=\"_blank\">"+userMessage.Title +"</a></td>\r\n");
	document.Append("        <td>"+UserMessageBLL.ReadMessageType(userMessage.MessageClass)+"</td>\r\n");
	document.Append("        <td>"+userMessage.PostDate +"</td>          \r\n");
	document.Append("        <td>\r\n");
	if(userMessage.IsHandler==1)
{
	document.Append("已处理\r\n");
	}
else
{
	document.Append("未处理\r\n");
	 }
	document.Append("</td>\r\n");
	document.Append("    </tr>\r\n");
	}
	document.Append("</table>\r\n");
	document.Append("<div class=\"height10\"></div>\r\n");
	document.Append("<div>"+ajaxPagerClass.ShowPage()+"</div>\r\n");
	Response.Write(document.ToString());
}
</script>